<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FATFS_VFS.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">FATFS_VFS.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * FATFS.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: May 20, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_FATFS_VFS_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_FATFS_VFS_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;esp_vfs_fat.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;wear_levelling.h&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classFATFS__VFS.html">   42</a></span>&#160;<span class="keyword">class </span><a class="code" href="classFATFS__VFS.html">FATFS_VFS</a> {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="classFATFS__VFS.html#ad0794710c612340082e700903ffd1e1b">FATFS_VFS</a>(std::string mountPath, std::string partitionName);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classFATFS__VFS.html">FATFS_VFS</a>();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFATFS__VFS.html#a1ba2a6e8e774a477513241ebad7d6607">mount</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFATFS__VFS.html#ae88702f8fce66d77974571adfe7db5a3">setMaxFiles</a>(<span class="keywordtype">int</span> maxFiles);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classFATFS__VFS.html#a5336ad11832bbe13510fed42e0c1322c">unmount</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    wl_handle_t m_wl_handle;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    std::string m_mountPath;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    std::string m_partitionName;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">int</span>         m_maxFiles;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;};</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_FATFS_VFS_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classFATFS__VFS_html_a1ba2a6e8e774a477513241ebad7d6607"><div class="ttname"><a href="classFATFS__VFS.html#a1ba2a6e8e774a477513241ebad7d6607">FATFS_VFS::mount</a></div><div class="ttdeci">void mount()</div><div class="ttdoc">Mount the FAT file system into VFS. The FAT file system found in the partition is mounted into the VF...</div><div class="ttdef"><b>Definition:</b> FATFS_VFS.cpp:45</div></div>
<div class="ttc" id="classFATFS__VFS_html_a5336ad11832bbe13510fed42e0c1322c"><div class="ttname"><a href="classFATFS__VFS.html#a5336ad11832bbe13510fed42e0c1322c">FATFS_VFS::unmount</a></div><div class="ttdeci">void unmount()</div><div class="ttdoc">Unmount a previously mounted file system.</div><div class="ttdef"><b>Definition:</b> FATFS_VFS.cpp:67</div></div>
<div class="ttc" id="classFATFS__VFS_html_ad0794710c612340082e700903ffd1e1b"><div class="ttname"><a href="classFATFS__VFS.html#ad0794710c612340082e700903ffd1e1b">FATFS_VFS::FATFS_VFS</a></div><div class="ttdeci">FATFS_VFS(std::string mountPath, std::string partitionName)</div><div class="ttdoc">Constructor.</div><div class="ttdef"><b>Definition:</b> FATFS_VFS.cpp:28</div></div>
<div class="ttc" id="classFATFS__VFS_html"><div class="ttname"><a href="classFATFS__VFS.html">FATFS_VFS</a></div><div class="ttdoc">Provide access to the FAT file system on SPI flash. The FATFS_VFS file system needs a partition defin...</div><div class="ttdef"><b>Definition:</b> FATFS_VFS.h:42</div></div>
<div class="ttc" id="classFATFS__VFS_html_ae88702f8fce66d77974571adfe7db5a3"><div class="ttname"><a href="classFATFS__VFS.html#ae88702f8fce66d77974571adfe7db5a3">FATFS_VFS::setMaxFiles</a></div><div class="ttdeci">void setMaxFiles(int maxFiles)</div><div class="ttdoc">Set the allowable number of concurrently open files.</div><div class="ttdef"><b>Definition:</b> FATFS_VFS.cpp:58</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
